sis-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "patrick o'leary (JIRA)" <j...@apache.org>
Subject [jira] Commented: (SIS-27) Update sis-parent/pom.xml compile target to 1.6
Date Mon, 03 Jan 2011 04:25:46 GMT

    [ https://issues.apache.org/jira/browse/SIS-27?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=12976602#action_12976602
] 

patrick o'leary commented on SIS-27:
------------------------------------

Java 1.5 is now deprecated from most modern os's and throws a 

running mvn clean install on a new system will throw

Caused by: org.apache.maven.plugin.CompilationFailureException: Compilation failure
Failure executing javac, but could not parse the error:
javac: source release 1.6 requires target release 1.6

As java 1.5 is usually not installed, and sis-parent/pom.xml has a maven.compile.target of
1.5
updating this to 1.6 resolves the problem, since the source code is already 1.6 based makes
sense to update the target as well. 

> Update sis-parent/pom.xml compile target to 1.6 
> ------------------------------------------------
>
>                 Key: SIS-27
>                 URL: https://issues.apache.org/jira/browse/SIS-27
>             Project: Spatial Information Systems
>          Issue Type: Task
>          Components: build process
>    Affects Versions: 0.2-incubating
>         Environment: os-x
>            Reporter: patrick o'leary
>            Assignee: patrick o'leary
>            Priority: Trivial
>             Fix For: 0.2-incubating
>
>
> sis-parent/pom.xml contains a maven.compile.target of java 1.5
> would be good to update it to 1.6

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message